Jump to:

4873 Posts in 6961 Topics by 1471 members

Installing SilverStripe

SilverStripe Forums » Installing SilverStripe » [SOLVED] New installation (wrongly?) says no gd2 or iconv support

Getting SilverStripe up and running on your computer and on your web server.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Page: 1
Go to End
Author Topic: 527 Views
  • mgushee
    Avatar
    Community Member
    1 Post

    [SOLVED] New installation (wrongly?) says no gd2 or iconv support Link to this post

    Hi, folks. I have just taken on the job of maintaining the website for an organization I belong to, and I am advocating that we use a CMS, mainly to facilitate content editing by non-technical people, and SilverStripe looks like a very good choice. As a first step, I'm trying to set up SilverStripe on my own computer. I will note that the issue I'm seeing should not happen on the production server, because the site is hosted on GoDaddy.com, which has SilverStripe preinstalled. Nonetheless, I feel it is a good idea to get to know the product on my own box before I touch the production environment.

    Anyway, the welcome page claims I do not have GD2 or iconv support. But as far as I can see, this is not true. I am running Arch Linux (w/ full system upgrade 3 days ago) and php 5.3.12. I also have gd 2.0.36RC1 installed, and have installed php-gd 5.3.12 (which is a separate package under Arch Linux). Furthermore, phpinfo() reports "--with-gd=shared" and "--with-iconv=shared." So ... can anyone tell me what the error message really means?

    UPDATE: Oops, sorry! It has been a long time since I've used PHP. I just needed to enable those modules in my php.ini. Thanks to those who were going to help ;-)

    527 Views
Page: 1
Go to Top

Want to know more about the company that brought you SilverStripe? Then check out SilverStripe.com

Comments on this website? Please give feedback.